# Step 1: Create a new project called tb
project_new -overwrite tb
project_open tb
# Step 2: Project settings: 
#   a. Choose the type of FPGA
set_global_assignment -name FAMILY Cyclone
set_global_assignment -name DEVICE EP1C20F400C7
#   b. Any pins which aren't otherwise defined should be inputs.
set_global_assignment -name RESERVE_ALL_UNUSED_PINS "AS INPUT TRI-STATED"

#   c.  Declare the top-level file (well, the only file):
set_global_assignment -name VERILOG_FILE top.v
set_global_assignment -name TOP_LEVEL_ENTITY top

# Step 3: Set pin assignments. This is where the top-level ports of the testbench
#  design are mapped to actual physical FPGA pins. 
set_location_assignment PIN_K5  -to clk
set_location_assignment PIN_C4  -to reset_n

set_location_assignment PIN_Y9  -to in[0]
set_location_assignment PIN_T10 -to in[1]
set_location_assignment PIN_V10 -to in[2]
set_location_assignment PIN_Y10 -to in[3]
set_location_assignment PIN_U11 -to SS_n
set_location_assignment PIN_Y11 -to SCLK
set_location_assignment PIN_W11 -to MOSI
# set_location_assignment PIN_V11 -to MISO
set_location_assignment PIN_V11 -to dummy_MISO
set_location_assignment PIN_E14 -to out[0]
set_location_assignment PIN_E13 -to out[1]
set_location_assignment PIN_C14 -to out[2]
set_location_assignment PIN_D14 -to out[3]
set_location_assignment PIN_E12 -to out[4]
set_location_assignment PIN_F12 -to out[5]
set_location_assignment PIN_B3  -to out[6]
set_location_assignment PIN_B14 -to out[7]

#     
#    -a
#   f  b
#   |-g|
#   e  c
#    -d
#         dp

#     
#    -7
#   2  6
#   |-1|
#   3  5
#    -4
#         0

# Two seven-segment digits, seven_seg_1 (left) and seven_seg_0 (right)
set_location_assignment PIN_T5 -to seven_seg_1[7]
set_location_assignment PIN_U5 -to seven_seg_1[6]
set_location_assignment PIN_V5 -to seven_seg_1[5]
set_location_assignment PIN_W5 -to seven_seg_1[4]
set_location_assignment PIN_T6 -to seven_seg_1[3]
set_location_assignment PIN_T7 -to seven_seg_1[2]
set_location_assignment PIN_W6 -to seven_seg_1[1]
set_location_assignment PIN_Y6 -to seven_seg_1[0]

set_location_assignment PIN_U6 -to seven_seg_0[7]
set_location_assignment PIN_V6 -to seven_seg_0[6]
set_location_assignment PIN_W7 -to seven_seg_0[5]
set_location_assignment PIN_Y7 -to seven_seg_0[4]
set_location_assignment PIN_R7 -to seven_seg_0[3]
set_location_assignment PIN_T8 -to seven_seg_0[2]
set_location_assignment PIN_V7 -to seven_seg_0[1]
set_location_assignment PIN_U7 -to seven_seg_0[0]

set_location_assignment PIN_B14 -to out[7]

# Step 4.  That's all!
project_close
