module top(
  clk,
  reset_n,
  MOSI,
  SCLK,
  SS_n,
  in,

  // MISO would normally be an output, but right now I'll make it an input,
  // since then I don't have to worry about accidental contention (and I don't
  // have a use for MISO [SPI slave in FPGA sending data to SPI master in
  // F2013] at the moment).
  dummy_MISO,

  //MISO,
  out,
  seven_seg_1,
  seven_seg_0
);

  input clk;
  input reset_n;
  input [3:0] in;
  input SS_n; // U11 - P1.4
  input MOSI; // W11 - P1.6
  input SCLK; // Y11 - P1.5

  input dummy_MISO; // V11 - P1.7
  // output MISO; // V11
  output [7:0] out;
  output [7:0] seven_seg_1;
  output [7:0] seven_seg_0;

  spi_to_jtag my_spi_to_jtag(
    .MISO_from_the_spi (), // (MISO)
    .MOSI_to_the_spi   (MOSI),
    .SCLK_to_the_spi   (SCLK),
    .SS_n_to_the_spi   (SS_n),
    .clk               (clk),
    .reset_n           (reset_n)
  );

//  st st_inst (
//    .acq_clk (clk),
//    .acq_data_in ({SS_n, MOSI, SCLK}),
//    .acq_trigger_in ({SS_n, SCLK})
//  );

  assign out = {dummy_MISO, MOSI, SCLK, SS_n, in[3:0]};

  // Drive a pattern onto the seven seg display, for sof identification
  // '0': a, b, c, d, e, f
  //                       abcdefgd
  assign seven_seg_1 = ~8'b11111100;
  
  // '8.': a, b, c, d, e, f, g, dp
  //                       abcdefgd
  assign seven_seg_0 = ~8'b11111111;
  
endmodule

